> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-beta.getzep.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-beta.getzep.com/_mcp/server.

# Get Current Agent Trajectory Summary

GET https://api.getzep.com/api/v4/agents/{agent_uuid}/trajectories/{trajectory_uuid}/summary

Reference: https://docs-beta.getzep.com/sdk-reference/agent/trajectory/get-summary

## Authentication

- `Authorization` header (required) (prefixed with ` Api-Key  `) — Type "Api-Key" followed by a space and the project API key.

## Request

### Path parameters

- `agent_uuid` (string, required) — Agent UUID
- `trajectory_uuid` (string, required) — Trajectory UUID

## Response

### 200

OK

- `agent_uuid` (string, optional)
- `assertion_uuid` (string, optional)
- `created_at` (string, optional)
- `creation_reason` (enum, optional)
  - Allowed values: `close`, `abandon`, `revision`, `task_family_correction`, `evidence_deletion`, `policy_change`
- `first_occurred_at` (string, optional)
- `first_sequence` (integer, optional)
- `last_occurred_at` (string, optional)
- `last_sequence` (integer, optional)
- `omitted_sequence_ranges` (list of v4.AgentTrajectorySummaryOmittedRange, optional)
- `outcome` (enum, optional)
  - Allowed values: `succeeded`, `failed`, `partial`, `abandoned`, `unknown`
- `parent_version_uuid` (string, optional)
- `structured_summary` (map from string to any, optional)
- `text` (string, optional)
- `trajectory_uuid` (string, optional)
- `uuid` (string, optional)
- `verification` (enum, optional)
  - Allowed values: `none`, `agent`, `tool`, `customer`, `external`
- `version` (integer, optional)

## Errors

### 503 Service Unavailable Error

Service Unavailable

- `error` (v4.ErrorBody, optional)

## Types

### v4.AgentTrajectorySummaryOmittedRange

- `first_sequence` (integer, optional)
- `last_sequence` (integer, optional)
- `reason` (enum, optional)
  - Allowed values: `narrower_authorization_boundary`, `acknowledged_gap`, `abandoned_gap`, `processing_failed`, `source_deleted`

### v4.ErrorBody

- `code` (string, optional)
- `details` (map from string to any, optional)
- `message` (string, optional)
- `param` (string, optional)
- `request_id` (string, optional)

## Examples

**Response**

```json
{
  "agent_uuid": "string",
  "assertion_uuid": "string",
  "created_at": "string",
  "creation_reason": "close",
  "first_occurred_at": "string",
  "first_sequence": 1,
  "last_occurred_at": "string",
  "last_sequence": 1,
  "omitted_sequence_ranges": [
    {
      "first_sequence": 1,
      "last_sequence": 1,
      "reason": "narrower_authorization_boundary"
    }
  ],
  "outcome": "succeeded",
  "parent_version_uuid": "string",
  "structured_summary": {},
  "text": "string",
  "trajectory_uuid": "string",
  "uuid": "string",
  "verification": "none",
  "version": 1
}
```